# $Revision: 1.38 $, $Date: 2012/03/25 20:21:10 $
%define		pearname	SOAP
%define		status		beta
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Client/Server for PHP
Summary(pl.UTF-8):	%{pearname} - klient/serwer dla PHP
Name:		php-pear-%{pearname}
Version:	0.13.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	117f22c06e5f749c14af7b44174f8bfc
URL:		http://pear.php.net/package/SOAP/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(bcmath)
Requires:	php(pcre)
Requires:	php-common >= 3:4.1
Requires:	php-pear
Requires:	php-pear-HTTP_Request
Requires:	php-pear-PEAR-core
Suggests:	php-pear-Mail
Suggests:	php-pear-Mail_Mime
Suggests:	php-pear-Net_DIME
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	pear(Mail.*) pear(Mail/Mime.*) pear(Net/DIME.*)

%description
Implementation of SOAP protocol and services.

In PEAR status of this package is; %{status}.

%description -l pl.UTF-8
Implementacja protokołu SOAP i jego serwisów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/tools .
mv docs/%{pearname}/example examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/SOAP
%dir %{php_pear_dir}/SOAP/Transport
%dir %{php_pear_dir}/SOAP/Server
%dir %{php_pear_dir}/SOAP/Server/TCP
%dir %{php_pear_dir}/SOAP/Type
%{php_pear_dir}/SOAP/*.php
%{php_pear_dir}/SOAP/Transport/*.php
%{php_pear_dir}/SOAP/Server/*.php
%{php_pear_dir}/SOAP/Server/TCP/Handler.php
%{php_pear_dir}/SOAP/Type/*.php
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-SOAP.spec,v $
Revision 1.38  2012/03/25 20:21:10  glen
- up to 0.13.0

Revision 1.37  2010/08/21 19:08:23  glen
- updated deps with pearize.sh
- release 2

Revision 1.36  2008/08/05 14:28:35  adamg
- updated to 0.12.0

Revision 1.35  2008-01-31 12:16:09  glen
- rel 2

Revision 1.34  2007-08-23 10:06:29  adamg
- updated to 0.11.0

Revision 1.33  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.31  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.30  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/04/24 10:47:21  adamg
- updated to 0.9.4

Revision 1.28  2006/04/02 12:08:10  qboosh
- unified

Revision 1.27  2006/04/02 12:03:04  glen
- 0.9.3

Revision 1.26  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.25  2005/11/20 16:26:25  glen
- rel 3

Revision 1.24  2005/10/05 20:59:19  glen
- rel 2

Revision 1.23  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.22  2005/09/19 21:43:40  glen
- integer BR

Revision 1.21  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.20.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.20.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.20  2005/09/16 15:11:03  arekm
- up to 0.9.1

Revision 1.19  2004/12/04 14:19:25  adamg
- updated to 0.8.1

Revision 1.18  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.17  2004/01/18 19:16:41  adamg
- updated to 0.8RC3

Revision 1.16  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.15  2003/09/18 07:45:41  adamg
- updated to 0.8RC2

Revision 1.14  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.13  2003/08/31 10:40:12  adamg
- updated to 0.8RC1

Revision 1.12  2003/07/21 20:54:49  adamg
- updated to 0.7.5

Revision 1.11  2003/07/03 22:50:29  adamg
- updated to 0.7.4

Revision 1.10  2003/06/22 21:19:28  adamg
- removed unneeded DIME_fix patch
- added PEAR status information
- fixed %doc

Revision 1.9  2003/05/28 10:50:32  adamg
- massive manual attack: pear packages update

Revision 1.8  2003/05/28 08:58:48  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/10/14 23:51:01  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.5  2002/10/07 22:47:31  misto
- fixed build problems

Revision 1.4  2002/09/18 10:51:01  blues
- fix in macros

Revision 1.3  2002/07/12 16:11:33  blues
- initial release
